name: p5
origin: /ALT/p5
source: i586
target: x86_64
flavor: classic
shadow: ~/biarch/p5/

packages: >
    glibc-core
    glibc-pthread
    glibc-nss
    glibc-gconv-modules
    glibc-devel
    glibc-devel-static

    libgcc4.4
    cpp4.4
    gcc4.4
    libgmp
    libmpfr

    libltdl3
    libltdl3-devel
    libltdl7
    libltdl7-devel

    libstdc++4.4
    libstdc++4.4-devel
    gcc4.4-c++
    libstdc++3.3

    libexpat
    libfreetype
    libICE
    libSM
    libXau
    libXdmcp
    libxcb
    libX11
    libXdamage
    libXext
    libXfixes
    libXp
    libXt
    libXtst
    libXxf86vm
    libalsa
    libcrypto7
    libssl7
    libjpeg
    libpng12
    libtiff
    libcups
    libdrm
    libkrb5
    liblcms
    libdb4.4
    libdb4.7
    libsasl2
    libldap2.3
    libxml2
    zlib
    libxslt
    libicu
    libcares
    libcurl
    libSDL

    libgcrypt
    libsasl2
    libesd
    libgpg-error
    libattr
    libcap
    libaudiofile
    libcom_err
    libidn
    
    libkrb5
    libkeyutils

    libgnutls26
    libgnutls13
    libtasn1

    libncurses
    libtinfo

    libgpm
    libusb
    libuuid

    libaio
    libaio-devel

    fontconfig
    libGL
    libGLU
    libieee1284
    libnatspec
    libXpm

    bzlib
    glib
    glib2
    gtk+
    libalsa-devel
    libalut
    libatk
    libcairo
    libdbus
    libflac8
    libfontenc
    libfreeglut
    libgamin-fam
    libgio
    libglade
    libglew1.5
    libglitz
    libgtk+2
    libgtk+2-common
    libgtkglext
    libjasper
    libldap2.4
    libmikmod
    libmng
    libmodplug
    libmpg123
    libncursesw
    libogg
    libopenal
    libopenal1
    libpango
    libpcre3
    libpixman
    libqt4-core
    libqt4-dbus
    libqt4-gui
    libqt4-network
    libqt4-xml
    libSDL_image
    libSDL_mixer
    libSDL_sound
    libSDL_ttf
    libsmpeg
    libspeex
    libusb-compat
    libvorbis
    libXaw
    libxcbutil
    libXcomposite
    libXcursor
    libXfont
    libXft
    libXi
    libXinerama
    libXmu
    libXrandr
    libXrender
    libXScrnSaver
    libXv
    libXvMC

hacks:
    gcc4.4:
        after-install: |
            %define gcc64odir /usr/lib64/gcc/x86_64-alt-linux/%version
            mkdir -p %buildroot%gcc64odir
            ln -s ../../../../lib/gcc/i586-alt-linux/%version \
                %buildroot%gcc64odir/32
        after-files: |
            %gcc64odir/32

    libstdc++4.4-devel:
        after-install: |
            %define gxxidir %_includedir/c++/%version/x86_64-alt-linux
            mkdir -p %buildroot%gxxidir
            ln -s ../i586-alt-linux %buildroot%gxxidir/32
        after-files: |
            %gxxidir/32

# vim:set ft=yaml et ts=4 sw=4:
